@use '@angular/material' as mat;
@use 'partials/colors';
@use 'partials/components/expansion-item';
@use 'partials/components/top-bar';
@use 'partials/mixins/button';
@use 'partials/components/borders';

$columns-distribution: 33.3% 33.3% 33.3%;

.panel {
  width: auto;
  height: calc(100vh - #{top-bar.$top-bar-height});
  overflow: hidden;
  display: flex;
  flex-direction: column;
  background-color: mat.get-color-from-palette(colors.$emp-light-gray, 500);
  color: white;
}

.header {
  display: grid;
  grid-template-columns: $columns-distribution;
  border: borders.$standard-border;
}

.content-container {
  overflow-x: hidden;
  overflow-y: auto;
  display: grid;
  grid-template-columns: $columns-distribution;
}

.loading-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

.headline {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.app-marketplace-button-container {
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.2em;
}

.marketplace-button {
  @include button.mat-round-button();
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.header-button-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  column-gap: 1em;
  padding: 0.2em 1em;
}

.button-transparent-background {
  &:hover {
    background-color: transparent;
  }
}

.close-button {
  border-radius: 50%;
  min-width: 36px;
  padding: 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.close-button .mat-icon {
  margin: 0;
}

.menu-no-content {
  height: 100%;
}
